#include "guess.h"
#include <bits/stdc++.h>
using namespace std;
int find_number(int mx) {
    int l = 1, r = mx + 1;
    while (r - l > 1) {
        int m = l + r >> 1;
        if (smaller(m)) r = m;
        else l = m;
    }
    return l;
}

